<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head"></head>
<body>
<div th:replace="fragments/navigation :: navigation"></div>

<h3 class="m-3">Händlerbereich</h3>

<ul class="nav nav-tabs">
    <li class="nav-item">
        <a class="nav-link" href="/dealer/orders">Aktuelle Bestellungen</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="/dealer/pickup">Abholung</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="/dealer/delivery">Lieferung</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="/dealer/payment">Zahlung</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="/dealer/articles">Artikel</a>
    </li>
    <li class="nav-item">
        <a class="nav-link active" href="/dealer/profile">Profil</a>
    </li>
</ul>

<div class="tab-content" id="myTabContent">
    <div class="container py-4">
        <div class="row">
            <div class="col-md-6 m-md-auto">
                <form action="#" th:action="@{/dealer/profile}" th:object="${shop}" method="post">
                    <div class="section">
                        <h2 class="text-center">Login</h2>
                        <div class="form-group">
                            <div class="input-wrapper">
                                <label>E-Mail Adresse:</label>
                                <input type="email" class="form-control" th:field="*{emailAddress}"/>
                            </div>
                            <div class="input-wrapper">
                                <label type="password">Password:</label>
                                <input type="password" class="form-control" th:field="*{password}"/>
                            </div>
                        </div>
                    </div>
                    <div class="section">
                        <h2 class="text-center">Händlerdaten</h2>
                        <div class="form-group">
                            <div class="input-wrapper">
                                <label>Firmenname:</label>
                                <input type="text" class="form-control" th:field="*{companyName}"/>
                            </div>

                            <div class="input-wrapper">
                                <label>Name:</label>
                                <input type="text" class="form-control" th:field="*{name}"/>
                            </div>

                            <div class="input-wrapper">
                                <label>Nachname:</label>
                                <input type="text" class="form-control" th:field="*{surname}"/>
                            </div>

                            <div class="input-wrapper">
                                <label>USt-ID:</label>
                                <input type="text" class="form-control" th:field="*{ustId}"/>
                            </div>

                            <div class="input-wrapper">
                                <label>Straße:</label>
                                <input type="text" class="form-control" th:field="*{street}"/>
                            </div>

                            <div class="input-wrapper">
                                <label>Nr:</label>
                                <input type="text" class="form-control" th:field="*{streetNumber}"/>
                            </div>

                            <div class="combined-input">
                                <div class="input-wrapper item item-left">
                                    <label>PLZ:</label>
                                    <input type="text" class="form-control" th:field="*{zipCode}"/>
                                </div>

                                <div class="input-wrapper item">
                                    <label>Ort:</label>
                                    <input type="text" class="form-control" th:field="*{city}"/>
                                </div>
                            </div>

                            <div class="input-wrapper">
                                <label>Website:</label>
                                <input type="text" class="form-control" th:field="*{website}"/>
                            </div>
                        </div>

                        <div class="input-wrapper">
                            <label>Über uns:</label>
                            <textarea type="text" class="form-control" rows="10" th:field="*{aboutThisShop}"/>
                        </div>

                    </div>
                    <button type="submit" class="btn btn-block btn-primary register">Registrieren</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div th:replace="fragments/footer :: footer"></div>
<div th:replace="fragments/scripts :: scripts"></div>
</body>
</html>
